# \Thelia\Admin\ControllerAdminController

The defaut administration controller. Basically, display the login form if user is not yet logged in, or back-office home page if the user is logged in.

## Summary

Methods
Properties
Constants
indexAction()
processAction()
processTemplateAction()
No public properties found
TEMPLATE_404
checkAuth()
nullResponse()
render()
renderRaw()
dispatchEvent()
dispatch()
getDispatcher()
getParserContext()
getSecurityContext()
getRequest()
getSession()
getParser()
forward()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Admin/Controller/AdminController.php
Package
  \Default
Class hierarchy
  \Symfony\Component\DependencyInjection\ContainerAware
  \Thelia\Admin\Controller\BaseAdminController
  \Thelia\Admin\Controller\AdminController

## Tags

None found

## Constants

### TEMPLATE_404

    TEMPLATE_404

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

## Methods

### indexAction()

    indexAction()

#

## Tags

None found

### processAction()

    processAction()

#

## Tags

None found

### processTemplateAction()

    processTemplateAction( $template)

#### Parameters

| $template |

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### checkAuth()

    checkAuth(\Thelia\Admin\Controller\unknown $permissions)

Check current admin user authorisations. An ADMIN role is assumed.

#### Parameters

\Thelia\Admin\Controller\unknown | $permissions | a single permission or an array of permissions.

#### Throws

\Thelia\Core\Security\Exception\AuthenticationException

  if permissions are not granted ti the current user.

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### nullResponse()

    nullResponse()

Return an empty response (after an ajax request, for example)

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### render()

    render(mixed $templateName, array $args) : \Symfony\Component\HttpFoundation\Response

Render the given template, and returns the result as an Http Response.

#### Parameters

mixed | $templateName | the complete template name, with extension
array | $args | the template arguments

#### Returns

\Symfony\Component\HttpFoundation\Response

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### renderRaw()

    renderRaw(mixed $templateName, array $args) : \Symfony\Component\HttpFoundation\Response

Render the given template, and returns the result as a string.

#### Parameters

mixed | $templateName | the complete template name, with extension
array | $args | the template arguments

#### Returns

\Symfony\Component\HttpFoundation\Response

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### dispatchEvent()

    dispatchEvent( $action) : \Symfony\Component\EventDispatcher\EventDispatcher

Create an action event,

#### Parameters

| $action |

#### Returns

\Symfony\Component\EventDispatcher\EventDispatcher

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### dispatch()

    dispatch(string $eventName, \Thelia\Core\Event\ActionEvent $event)

Dispatch a Thelia event to modules

#### Parameters

string | $eventName | a TheliaEvent name, as defined in TheliaEvents class
\Thelia\Core\Event\ActionEvent | $event | the event

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### getDispatcher()

    getDispatcher() : \Thelia\Admin\Controller\EventDispatcherInterface

Return the event dispatcher,

#### Returns

\Thelia\Admin\Controller\EventDispatcherInterface

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### getParserContext()

    getParserContext() : \Thelia\Core\Template\ParserContext

Return the parser context,

#### Returns

\Thelia\Core\Template\ParserContext

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### getSecurityContext()

    getSecurityContext( $context) : \Thelia\Admin\Controller\Thelia\Core\Security\SecurityContext

Return the security context, by default in admin mode.

#### Parameters

| $context |

#### Returns

\Thelia\Admin\Controller\Thelia\Core\Security\SecurityContext

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### getRequest()

    getRequest() : \Symfony\Component\HttpFoundation\Request

#### Returns

\Symfony\Component\HttpFoundation\Request

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### getSession()

    getSession() : \Symfony\Component\HttpFoundation\Session\SessionInterface

Returns the session from the current request

#### Returns

\Symfony\Component\HttpFoundation\Session\SessionInterface

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### getParser()

    getParser() : \Thelia\Admin\Controller\a

#### Returns

\Thelia\Admin\Controller\a —

ParserInterfac instance parser

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### forward()

    forward(string $controller, array $path, array $query) : \Symfony\Component\HttpFoundation\Response

Forwards the request to another controller.

#### Parameters

string | $controller | The controller name (a string like BlogBundle:Post:index)
array | $path | An array of path parameters
array | $query | An array of query parameters

#### Returns

\Symfony\Component\HttpFoundation\Response —

A Response instance

#

Inherited from
  \Thelia\Admin\Controller\BaseAdminController

## Tags

None found

### AdminController.php